%global npm_name lodash

Name:		nodejs-%{npm_name}
Version:	4.17.20
Release:	%mkrel 3
Summary:	Lodash modular utilities
License:	MIT
Group:		Development/Other
URL:		https://lodash.com/
Source0:	https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# revision control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
BuildRequires:	nodejs-packaging
BuildArch:	noarch

%description
Lodash makes JavaScript easier by taking the hassle out of working with
arrays, numbers, objects, strings, etc. Lodash’s modular methods are great
for:

- Iterating arrays, objects, & strings
- Manipulating & testing values
- Creating composite functions

%prep
%autosetup -n package

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr *.js %{buildroot}%{nodejs_sitelib}/%{npm_name}/
cp -pfr *.json %{buildroot}%{nodejs_sitelib}/%{npm_name}/

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%license LICENSE
%doc README.md
%{nodejs_sitelib}/%{npm_name}


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 4.17.20-3.mga10
+ Revision: 2209631
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 4.17.20-2.mga9
+ Revision: 1820449
- Mageia 9 Mass Rebuild

* Thu Dec 31 2020 neoclust <neoclust> 4.17.20-1.mga8
+ Revision: 1666528
- New version  4.17.20 (mga#27973)

* Fri Feb 14 2020 umeabot <umeabot> 4.17.11-2.mga8
+ Revision: 1521049
- Mageia 8 Mass Rebuild

* Sun Dec 16 2018 kekepower <kekepower> 4.17.11-1.mga7
+ Revision: 1341582
- Update to 4.17.11

* Mon Feb 08 2016 umeabot <umeabot> 2.4.1-2.mga6
+ Revision: 950289
- Mageia 6 Mass Rebuild

* Mon Oct 27 2014 tv <tv> 2.4.1-1.mga5
+ Revision: 793743
- imported package nodejs-lodash


* Mon Oct 27 2014 Thierry Vignaud <tv@mageia.org> 2.4.1-1.mga5
- import from FC

* Sun Mar 30 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.4.1-2
- fix Source1

* Sat Mar 29 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.4.1-1
- update to upstream release 2.4.1

* Sat Jul 27 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.1-3
- add ExclusiveArch logic

* Thu Jun 27 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.1-2
- add more comments

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.1-1
- initial package
